# Tidy Table [<img src="https://travis-ci.org/nuxy/Tidy-Table.svg?branch=master" alt="Build Status" />](https://travis-ci.org/nuxy/Tidy-Table)

Create a HTML table from JSON that can be sorted, selected, and post-processed using a simple callback.

[<img src="https://github.com/nuxy/Tidy-Table/raw/master/preview.gif" alt="Tidy-Table" />](https://labs.mbrooks.info/demos/Tidy-Table)

## Features

- Extensible HTML/CSS interface.
- Compatible with Firefox 3.6, Chrome, Safari 5, Opera, and Internet Explorer 7+ web browsers.
- Compatible with iOS and Android mobile web browsers.
- Easy to set-up and customize.
- Customizable callback functions for post-processing selected results.
- Post-process options for manipulating table/column/menu elements.
- Fast and lightweight (jQuery plug-in *only 5.1 kB)

## Installation

This package can be easily installed using [Bower](http://bower.io).

    $ bower install tidy-table

Please refer to the [README](https://labs.mbrooks.info/demos/Tidy-Table/README.html) for more information about this package.

## See Also

This package can be used in conjunction with [Poppy-Pagination](https://github.com/nuxy/Poppy-Pagination) to create a seamless per-page result experience.

## License and Warranty

This package is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.

_Tidy-Table_ is provided under the terms of the [MIT license](http://www.opensource.org/licenses/mit-license.php)

## Author

[Marc S. Brooks](https://github.com/nuxy)
